OpenNMS API 1.2.9

## org.opennms.netmgt.capsd.snmp
Class NamedSnmpVar

    java.lang.Object
      org.opennms.netmgt.capsd.snmp.NamedSnmpVar

final class NamedSnmpVar
extends java.lang.Object

The NamedSnmpVar class is used to associate a name for a particular snmp instance with its object identifier. Common names often include ifIndex, sysObjectId, etc al. These names are the names of particular variables as defined by the SMI. Should the instance also be part of a table, then the column number of the instance is also stored in the object.

Author:
  Brian Weaver , Mike Davidson , OpenNMS

Field Summary
`private int` `m_column` If the instance is part of a table then this is the column number for the element.
`private boolean` `m_isTabular` If set then the object identifier is an entry some SNMP table.
`private java.lang.String` `m_name` The alias name for the object identifier.
`private java.lang.String` `m_oid` The actual object identifer string for the object.
`private java.lang.String` `m_type` String which contains the Class name of the expected SNMP data type for the object.
`private java.lang.Class` `m_typeClass` The class object for the class name stored in the m_type string.
`static java.lang.String` `SNMPCOUNTER32`
`static java.lang.String` `SNMPCOUNTER64`
`static java.lang.String` `SNMPENDOFMIBVIEW`
`static java.lang.String` `SNMPGAUGE32`
`static java.lang.String` `SNMPINT32`
`static java.lang.String` `SNMPIPADDRESS`
`static java.lang.String` `SNMPNOSUCHINSTANCE`
`static java.lang.String` `SNMPNOSUCHOBJECT`
`static java.lang.String` `SNMPNULL`
`static java.lang.String` `SNMPOBJECTID`
`static java.lang.String` `SNMPOCTETSTRING`
`static java.lang.String` `SNMPOPAQUE`
`static java.lang.String` `SNMPTIMETICKS`
`static java.lang.String` `SNMPUINT32`
`static java.lang.String` `SNMPV2PARTYCLOCK`

Constructor Summary
`private` `NamedSnmpVar()` The class default constructor.
`(package private)` `NamedSnmpVar(java.lang.String type, java.lang.String alias, java.lang.String oid)` This constructor creates a new instance of the class with the type, alias and object identifier.
`(package private)` `NamedSnmpVar(java.lang.String type, java.lang.String alias, java.lang.String oid, int column)` This constructor creates a new instance of the class with the type, alias, object identifier, and table column set.

Method Summary
`(package private) java.lang.String` `getAlias()` Returns the alias for the object identifier.
`(package private) int` `getColumn()` Returns the column of the table this instance is in.
`(package private) java.lang.String` `getOid()` Returns the object identifer for this instance.
`(package private) java.lang.String` `getType()` Returns the class name stored in m_type which represents the expected SNMP data type of the object.
`(package private) java.lang.Class` `getTypeClass()` Returns the class object associated with the class name stored in m_type.
`(package private) boolean` `isTableEntry()` Returns true if this instance is part of a table.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_type

    private java.lang.String m_type

  String which contains the Class name of the expected SNMP data type for the object.

### m_typeClass

    private java.lang.Class m_typeClass

  The class object for the class name stored in the m_type string.

### m_name

    private java.lang.String m_name

  The alias name for the object identifier.

### m_oid

    private java.lang.String m_oid

  The actual object identifer string for the object.

### m_isTabular

    private boolean m_isTabular

  If set then the object identifier is an entry some SNMP table.

### m_column

    private int m_column

  If the instance is part of a table then this is the column number for the element.

### SNMPINT32

    public static final java.lang.String SNMPINT32

See Also:
  Constant Field Values

### SNMPUINT32

    public static final java.lang.String SNMPUINT32

See Also:
  Constant Field Values

### SNMPCOUNTER32

    public static final java.lang.String SNMPCOUNTER32

See Also:
  Constant Field Values

### SNMPCOUNTER64

    public static final java.lang.String SNMPCOUNTER64

See Also:
  Constant Field Values

### SNMPGAUGE32

    public static final java.lang.String SNMPGAUGE32

See Also:
  Constant Field Values

### SNMPTIMETICKS

    public static final java.lang.String SNMPTIMETICKS

See Also:
  Constant Field Values

### SNMPOCTETSTRING

    public static final java.lang.String SNMPOCTETSTRING

See Also:
  Constant Field Values

### SNMPOPAQUE

    public static final java.lang.String SNMPOPAQUE

See Also:
  Constant Field Values

### SNMPIPADDRESS

    public static final java.lang.String SNMPIPADDRESS

See Also:
  Constant Field Values

### SNMPOBJECTID

    public static final java.lang.String SNMPOBJECTID

See Also:
  Constant Field Values

### SNMPV2PARTYCLOCK

    public static final java.lang.String SNMPV2PARTYCLOCK

See Also:
  Constant Field Values

### SNMPNOSUCHINSTANCE

    public static final java.lang.String SNMPNOSUCHINSTANCE

See Also:
  Constant Field Values

### SNMPNOSUCHOBJECT

    public static final java.lang.String SNMPNOSUCHOBJECT

See Also:
  Constant Field Values

### SNMPENDOFMIBVIEW

    public static final java.lang.String SNMPENDOFMIBVIEW

See Also:
  Constant Field Values

### SNMPNULL

    public static final java.lang.String SNMPNULL

See Also:
  Constant Field Values

Constructor Detail

### NamedSnmpVar

    private NamedSnmpVar()
                  throws java.lang.UnsupportedOperationException

  The class default constructor. The default constructor is disallowed in this class and thus the unsupported operation exception is always thrown by this constructor.

Throws:
  `java.lang.UnsupportedOperationException` - Always thrown by this constructor.

### NamedSnmpVar

    NamedSnmpVar(java.lang.String type,
                 java.lang.String alias,
                 java.lang.String oid)

  This constructor creates a new instance of the class with the type, alias and object identifier. The instance is not considered to be part of a table.

Parameters:
  `type` - The expected SNMP data type of this object.
  `alias` - The alias for the object identifier.
  `oid` - The object identifier for the instance.

### NamedSnmpVar

    NamedSnmpVar(java.lang.String type,
                 java.lang.String alias,
                 java.lang.String oid,
                 int column)

  This constructor creates a new instance of the class with the type, alias, object identifier, and table column set. The instance is considered to be part of a table and the column is the "instance" number for the table.

Parameters:
  `type` - The expected SNMP data type of this object.
  `alias` - The alias for the object identifier.
  `oid` - The object identifier for the instance.
  `column` - The column entry for its table.

Method Detail

### getType

    java.lang.String getType()

  Returns the class name stored in m_type which represents the expected SNMP data type of the object.

### getTypeClass

    java.lang.Class getTypeClass()
                           throws java.lang.ClassNotFoundException

  Returns the class object associated with the class name stored in m_type.

  Throws:
    `java.lang.ClassNotFoundException` - Thrown from this method if forName() fails.

### getAlias

    java.lang.String getAlias()

  Returns the alias for the object identifier.

### getOid

    java.lang.String getOid()

  Returns the object identifer for this instance.

### isTableEntry

    boolean isTableEntry()

  Returns true if this instance is part of a table.

### getColumn

    int getColumn()

  Returns the column of the table this instance is in. If the instance is not part of a table then the return code is not defined.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.